let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/yq03c2ny43mc24j7dq5riznzb09ddhpq-bash-4.4-p12/bin/bash";
  coreutils = "/nix/store/6m7ldqalxz3818rzc557zh17szy6bqf6-coreutils-8.29/bin";
  bzip2 = "/nix/store/l2rd7a5f3490pgiwpvxxnkc129vxlj8q-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/6i87azw89ag68mb59mg2d3748gmypprn-gzip-1.9/bin/gzip";
  xz = "/nix/store/khh0hwhrzpmjb5fijxrcm0s1iapkl9jg-xz-5.2.3-bin/bin/xz";
  tar = "/nix/store/1jn750iav5rfbm05345ysi8dvxcz7j26-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/6m7ldqalxz3818rzc557zh17szy6bqf6-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/6p2gambjac7xdkd2a7w1dsxdk1q5cq4d-nix-2.0/bin";
  nixPrefix = "/nix/store/6p2gambjac7xdkd2a7w1dsxdk1q5cq4d-nix-2.0";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/6p2gambjac7xdkd2a7w1dsxdk1q5cq4d-nix-2.0/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
